summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Peck <bpeck@redhat.com>2009-06-04 23:34:27 +0000
committerBill Peck <bpeck@redhat.com>2009-06-04 23:34:27 +0000
commitca439e0353391572c5c07ef4ae9910f2060efc9c (patch)
tree8d089a8ffac5f0d49c982b03e70e4f6434e276f8
parentc53dac23cc8b56eba04e4cebbafdcf7ede6eb5a5 (diff)
import rawhide if were told where to find itrh-tests-distribution-beaker-setup-1_1-14
-rwxr-xr-xTasks/distribution/beaker/setup/runtest.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/Tasks/distribution/beaker/setup/runtest.sh b/Tasks/distribution/beaker/setup/runtest.sh
index fe0dfb1..bb8ded5 100755
--- a/Tasks/distribution/beaker/setup/runtest.sh
+++ b/Tasks/distribution/beaker/setup/runtest.sh
@@ -321,6 +321,20 @@ function LabController()
--available-as=nfs://${NFSSERVER}:${NFSPATH}
report_result $TEST/ADD_DISTRO/$DISTRONAME PASS $?
done
+ # Import Rawhide
+ if [ -n "$RAWHIDE_NFS" ]; then
+ NFSSERVER=$(echo $RAWHIDE_NFS| awk -F: '{print $1}')
+ NFSDIR=$(echo $RAWHIDE_NFS| awk -F: '{print $2}')
+ mkdir -p /fakenet/${NFSSERVER}${NFSDIR}
+ for distro in $(find /fakenet/${NFSSERVER}${NFSDIR} -maxdepth 1 -name rawhide\* -type d); do
+ DISTRO=$(basename $distro)
+ DISTRONAME=Fedora-$(basename $distro)
+ cobbler import --path=/fakenet/${NFSSERVER}${NFSDIR}/${DISTRO} \
+ --name=${DISTRONAME}_nfs \
+ --available-as=nfs://${NFSSERVER}:${NFSDIR}/${DISTRO}
+ report_result $TEST/ADD_DISTRO/$DISTRONAME PASS $?
+ done
+ fi
/var/lib/cobbler/triggers/sync/post/osversion.trigger | tee -a $OUTPUTFILE
estatus_fail "**** Failed to run osversion.trigger ****"
for distro in $NFSDISTROS; do